#version 450

layout(location = 0) in vec3 iFragPos;
layout(location = 1) in vec3 iNormal;
layout(location = 2) in vec2 iFragTexCoord;
layout(location = 3) in vec4 iColor;

layout(location = 0) out vec4 oColor;

layout(binding = 2) uniform sampler2D textureSampler;

void main() {
    // oColor = texture(textureSampler, iFragTexCoord);
    // return;


    oColor = iColor;
}
